From 67e0e65fdd9e83f79cd4469d67b3da88337ab714 Mon Sep 17 00:00:00 2001
From: Endi Sukma Dewata <edewata@redhat.com>
Date: Thu, 12 Jan 2012 23:25:43 -0600
Subject: [PATCH] Added generics (part 2).

This patch brings down the warnings from 4648 to 3992.

Ticket #2
---
 .../certsrv/dbs/certdb/ICertRecordList.java        |    2 +-
 .../certsrv/dbs/certdb/ICertificateRepository.java |   14 ++--
 .../netscape/certsrv/request/AgentApprovals.java   |   10 +-
 .../src/com/netscape/certsrv/util/StatsEvent.java  |   18 ++--
 .../com/netscape/cms/authentication/CMCAuth.java   |    4 +-
 .../netscape/cms/authentication/FlatFileAuth.java  |   38 ++++----
 .../netscape/cms/authentication/HashAuthData.java  |   26 +++---
 .../cms/authentication/HashAuthentication.java     |    4 +-
 .../netscape/cms/authentication/PortalEnroll.java  |   12 +-
 .../src/com/netscape/cms/jobs/PublishCertsJob.java |    2 +-
 .../netscape/cms/jobs/RenewalNotificationJob.java  |    4 +-
 .../com/netscape/cms/jobs/UnpublishExpiredJob.java |    2 +-
 .../src/com/netscape/cms/ocsp/LDAPStore.java       |   18 ++--
 .../constraints/KeyAlgorithmConstraints.java       |   16 ++--
 .../cms/profile/common/CAEnrollProfile.java        |    4 +-
 .../constraint/ExtendedKeyUsageExtConstraint.java  |    6 +-
 .../cms/profile/constraint/NoConstraint.java       |    4 +-
 .../profile/constraint/UniqueKeyConstraint.java    |    4 +-
 .../cms/profile/def/AuthInfoAccessExtDefault.java  |    6 +-
 .../profile/def/ExtendedKeyUsageExtDefault.java    |    5 +-
 .../com/netscape/cms/profile/def/NoDefault.java    |    4 +-
 .../netscape/cms/profile/input/EnrollInput.java    |    8 +-
 .../netscape/cms/profile/input/GenericInput.java   |    4 +-
 .../publish/publishers/LdapCertSubjPublisher.java  |    5 +-
 .../publish/publishers/LdapUserCertPublisher.java  |   10 +-
 .../netscape/cms/servlet/admin/AdminServlet.java   |   32 ++++---
 .../cms/servlet/admin/AuthCredentials.java         |   10 +-
 .../netscape/cms/servlet/admin/CAAdminServlet.java |   97 +++++++++++---------
 .../cms/servlet/admin/JobsAdminServlet.java        |   22 ++---
 .../cms/servlet/admin/KRAAdminServlet.java         |    5 +-
 .../cms/servlet/admin/OCSPAdminServlet.java        |   12 ++-
 .../cms/servlet/admin/PolicyAdminServlet.java      |   44 +++++-----
 .../cms/servlet/base/DynamicVariablesServlet.java  |   14 ++--
 .../com/netscape/cms/servlet/base/GetStats.java    |    4 +-
 .../cms/servlet/cert/CMCRevReqServlet.java         |    2 +-
 .../servlet/cert/ChallengeRevocationServlet1.java  |    2 +-
 .../com/netscape/cms/servlet/cert/DisplayCRL.java  |    4 +-
 .../com/netscape/cms/servlet/cert/DoUnrevoke.java  |    5 +-
 .../netscape/cms/servlet/cert/DoUnrevokeTPS.java   |    5 +-
 .../netscape/cms/servlet/cert/EnrollServlet.java   |    2 +-
 .../netscape/cms/servlet/cert/GetEnableStatus.java |    4 +-
 .../src/com/netscape/cms/servlet/cert/GetInfo.java |    4 +-
 .../cms/servlet/cert/HashEnrollServlet.java        |    2 +-
 .../com/netscape/cms/servlet/cert/ListCerts.java   |    2 +-
 .../src/com/netscape/cms/servlet/cert/Monitor.java |    2 +-
 .../com/netscape/cms/servlet/cert/UpdateDir.java   |   14 +--
 .../cms/servlet/common/AuthCredentials.java        |   10 +-
 .../netscape/cms/servlet/common/CMSFileLoader.java |    6 +-
 .../netscape/cms/servlet/common/CMSGateway.java    |    4 +-
 .../netscape/cms/servlet/common/CMSRequest.java    |    6 +-
 .../cms/servlet/common/GenErrorTemplateFiller.java |    6 +-
 .../servlet/common/GenRejectedTemplateFiller.java  |    6 +-
 .../netscape/cms/servlet/csadmin/BaseServlet.java  |    4 +-
 .../cms/servlet/csadmin/CertRequestPanel.java      |    6 +-
 .../cms/servlet/csadmin/ConfigBaseServlet.java     |    5 +-
 .../cms/servlet/csadmin/ConfigHSMServlet.java      |   28 +++---
 .../cms/servlet/csadmin/DatabasePanel.java         |   15 ++-
 .../cms/servlet/csadmin/GetConfigEntries.java      |    2 +-
 .../netscape/cms/servlet/csadmin/GetDomainXML.java |    5 +-
 .../netscape/cms/servlet/csadmin/ModulePanel.java  |   34 ++++---
 .../netscape/cms/servlet/csadmin/NamePanel.java    |   20 ++--
 .../cms/servlet/csadmin/WizardPanelBase.java       |   12 +-
 .../cms/servlet/key/GetApprovalStatus.java         |    8 +-
 .../cms/servlet/profile/ProfileApproveServlet.java |   15 ++--
 .../cms/servlet/profile/ProfileListServlet.java    |    2 +-
 .../cms/servlet/profile/ProfileProcessServlet.java |   15 ++--
 .../cms/servlet/profile/ProfileReviewServlet.java  |   26 +++---
 .../cms/servlet/profile/ProfileSelectServlet.java  |   28 +++---
 .../cms/servlet/profile/ProfileServlet.java        |   12 +-
 .../servlet/profile/ProfileSubmitCMCServlet.java   |   37 ++++----
 .../com/netscape/cmscore/apps/CommandQueue.java    |    3 +-
 .../com/netscape/cmscore/base/FileConfigStore.java |    6 +-
 .../com/netscape/cmscore/base/PropConfigStore.java |   51 +++++-----
 .../cmscore/cert/CrossCertPairSubsystem.java       |   15 ++-
 .../netscape/cmscore/connector/HttpPKIMessage.java |    9 +-
 .../com/netscape/cmscore/dbs/ByteArrayMapper.java  |    4 +-
 .../cmscore/dbs/CRLIssuingPointRecord.java         |    6 +-
 .../com/netscape/cmscore/dbs/CertRecordMapper.java |    4 +-
 .../cmscore/dbs/CertificateRepository.java         |   86 +++++++++---------
 .../com/netscape/cmscore/dbs/DateArrayMapper.java  |   12 +-
 .../src/com/netscape/cmscore/dbs/DateMapper.java   |    4 +-
 .../com/netscape/cmscore/dbs/IntegerMapper.java    |    4 +-
 .../src/com/netscape/cmscore/dbs/KeyRecord.java    |    6 +-
 .../com/netscape/cmscore/dbs/KeyRecordList.java    |   12 +-
 .../com/netscape/cmscore/dbs/KeyRecordMapper.java  |    4 +-
 .../com/netscape/cmscore/dbs/KeyStateMapper.java   |    4 +-
 .../src/com/netscape/cmscore/dbs/LongMapper.java   |    4 +-
 .../com/netscape/cmscore/dbs/MetaInfoMapper.java   |   13 ++-
 .../netscape/cmscore/ldap/LdapPredicateParser.java |    4 +-
 .../netscape/cmscore/ldap/LdapPublishModule.java   |    4 +-
 .../cmscore/notification/EmailResolverKeys.java    |   10 +-
 .../cmscore/policy/PolicyPredicateParser.java      |    4 +-
 .../netscape/cmscore/request/RequestRecord.java    |    2 +-
 .../com/netscape/cmscore/security/PWsdrCache.java  |   24 +++---
 .../certsrv/request/AgentApprovalsTest.java        |    2 +-
 .../com/netscape/cmscore/dbs/DBRegistryTest.java   |    2 +-
 .../request/DBDynAttrMapperDefaultStub.java        |    2 +-
 .../src/com/netscape/cmstools/PasswordCache.java   |   30 +++---
 .../ocsp/src/com/netscape/ocsp/OCSPAuthority.java  |    2 +-
 .../src/com/netscape/cmsutil/http/HttpMessage.java |   16 ++--
 .../com/netscape/cmsutil/radius/AttributeSet.java  |    6 +-
 .../src/com/netscape/cmsutil/xml/XMLObject.java    |    4 +-
 .../util/src/netscape/security/acl/GroupImpl.java  |   12 +-
 .../netscape/security/pkcs/PKCS10Attributes.java   |   32 +++---
 .../util/src/netscape/security/x509/Attribute.java |   34 +++----
 105 files changed, 647 insertions(+), 620 deletions(-)

diff --git a/pki/base/common/src/com/netscape/certsrv/dbs/certdb/ICertRecordList.java b/pki/base/common/src/com/netscape/certsrv/dbs/certdb/ICertRecordList.java
index 5db7e473e32ce1fd39e8228c4f0aa6e541961ac9..59a826ee225f29701361280e2e74a6a67f081ebc 100644
--- a/pki/base/common/src/com/netscape/certsrv/dbs/certdb/ICertRecordList.java
+++ b/pki/base/common/src/com/netscape/certsrv/dbs/certdb/ICertRecordList.java
@@ -78,7 +78,7 @@ public interface ICertRecordList {
      * @param endidx ending index
      * @exception EBaseException failed to retrieve
      */
-    public Enumeration getCertRecords(int startidx, int endidx)
+    public Enumeration<ICertRecord> getCertRecords(int startidx, int endidx)
             throws EBaseException;
 
     /**
diff --git a/pki/base/common/src/com/netscape/certsrv/dbs/certdb/ICertificateRepository.java b/pki/base/common/src/com/netscape/certsrv/dbs/certdb/ICertificateRepository.java
index e354970b0a6a8d8d96db180d3908d7fab02d7add..60f8673682d800e4808790e3c7130d1fa7fabf7b 100644
--- a/pki/base/common/src/com/netscape/certsrv/dbs/certdb/ICertificateRepository.java
+++ b/pki/base/common/src/com/netscape/certsrv/dbs/certdb/ICertificateRepository.java
@@ -404,7 +404,7 @@ public interface ICertificateRepository extends IRepository {
      * @return a list of certificate records
      * @exception EBaseException failed to retrieve cert records
      */
-    public Enumeration findCertRecs(String filter)
+    public Enumeration<Object> findCertRecs(String filter)
             throws EBaseException;
 
     /**
@@ -438,7 +438,7 @@ public interface ICertificateRepository extends IRepository {
      * @return a list of certificates
      * @exception EBaseException failed to retrieve
      */
-    public Enumeration getValidNotPublishedCertificates(String from, String to)
+    public Enumeration<ICertRecord> getValidNotPublishedCertificates(String from, String to)
             throws EBaseException;
 
     /**
@@ -449,7 +449,7 @@ public interface ICertificateRepository extends IRepository {
      * @return a list of certificates
      * @exception EBaseException failed to retrieve
      */
-    public Enumeration getExpiredPublishedCertificates(String from, String to)
+    public Enumeration<ICertRecord> getExpiredPublishedCertificates(String from, String to)
             throws EBaseException;
 
     /**
@@ -460,7 +460,7 @@ public interface ICertificateRepository extends IRepository {
      * @return a list of certificates
      * @exception EBaseException failed to retrieve
      */
-    public Enumeration getRevokedPublishedCertificates(String from, String to)
+    public Enumeration<ICertRecord> getRevokedPublishedCertificates(String from, String to)
             throws EBaseException;
 
     /**
@@ -471,7 +471,7 @@ public interface ICertificateRepository extends IRepository {
      * @return a list of certificates
      * @exception EBaseException failed to retrieve
      */
-    public Enumeration getValidCertificates(String from, String to)
+    public Enumeration<ICertRecord> getValidCertificates(String from, String to)
             throws EBaseException;
 
     /**
@@ -482,7 +482,7 @@ public interface ICertificateRepository extends IRepository {
      * @return a list of certificates
      * @exception EBaseException failed to retrieve
      */
-    public Enumeration getExpiredCertificates(String from, String to)
+    public Enumeration<ICertRecord> getExpiredCertificates(String from, String to)
             throws EBaseException;
 
     /**
@@ -493,7 +493,7 @@ public interface ICertificateRepository extends IRepository {
      * @return a list of certificates
      * @exception EBaseException failed to retrieve
      */
-    public Enumeration getRevokedCertificates(String from, String to)
+    public Enumeration<ICertRecord> getRevokedCertificates(String from, String to)
             throws EBaseException;
 
     /**
diff --git a/pki/base/common/src/com/netscape/certsrv/request/AgentApprovals.java b/pki/base/common/src/com/netscape/certsrv/request/AgentApprovals.java
index 48738d810628badf0af7640c322e3edb605fda98..54277b611d09a319801e7d6db5d3007e77a6578d 100644
--- a/pki/base/common/src/com/netscape/certsrv/request/AgentApprovals.java
+++ b/pki/base/common/src/com/netscape/certsrv/request/AgentApprovals.java
@@ -82,7 +82,7 @@ public class AgentApprovals
 
         // search
         for (int i = 0; i < mVector.size(); i++) {
-            a = (AgentApproval) mVector.elementAt(i);
+            a = mVector.elementAt(i);
 
             if (a.mUserName.equals(userName))
                 break;
@@ -96,7 +96,7 @@ public class AgentApprovals
      * 
      * @return an enumeration of the agent approvals
      */
-    public Enumeration elements() {
+    public Enumeration<AgentApproval> elements() {
         return mVector.elements();
     }
 
@@ -110,8 +110,8 @@ public class AgentApprovals
      * 
      * @return The string vector.
      */
-    public Vector toStringVector() {
-        Vector retval = new Vector(mVector.size());
+    public Vector<String> toStringVector() {
+        Vector<String> retval = new Vector<String>(mVector.size());
         for (int i = 0; i < mVector.size(); i++) {
             AgentApproval a = (AgentApproval) mVector.elementAt(i);
             retval.add(a.getDate().getTime() + ";" + a.getUserName());
@@ -155,5 +155,5 @@ public class AgentApprovals
         return approvals;
     }
 
-    protected Vector mVector = new Vector();
+    protected Vector<AgentApproval> mVector = new Vector<AgentApproval>();
 }
diff --git a/pki/base/common/src/com/netscape/certsrv/util/StatsEvent.java b/pki/base/common/src/com/netscape/certsrv/util/StatsEvent.java
index 9e004b62980bdb7ee61ee026b67de4c561d73e69..eafd90d059f3126d3bf0a86321c36e1dd33aebb9 100644
--- a/pki/base/common/src/com/netscape/certsrv/util/StatsEvent.java
+++ b/pki/base/common/src/com/netscape/certsrv/util/StatsEvent.java
@@ -34,7 +34,7 @@ public class StatsEvent {
     private long mTimeTaken = 0;
     private long mTimeTakenSqSum = 0;
     private long mNoOfOperations = 0;
-    private Vector mSubEvents = new Vector();
+    private Vector<StatsEvent> mSubEvents = new Vector<StatsEvent>();
     private StatsEvent mParent = null;
 
     public StatsEvent(StatsEvent parent) {
@@ -59,11 +59,11 @@ public class StatsEvent {
     /**
      * Retrieves a list of sub transaction names.
      */
-    public Enumeration getSubEventNames() {
-        Vector names = new Vector();
-        Enumeration e = mSubEvents.elements();
+    public Enumeration<String> getSubEventNames() {
+        Vector<String> names = new Vector<String>();
+        Enumeration<StatsEvent> e = mSubEvents.elements();
         while (e.hasMoreElements()) {
-            StatsEvent st = (StatsEvent) e.nextElement();
+            StatsEvent st = e.nextElement();
             names.addElement(st.getName());
         }
         return names.elements();
@@ -73,9 +73,9 @@ public class StatsEvent {
      * Retrieves a sub transaction.
      */
     public StatsEvent getSubEvent(String name) {
-        Enumeration e = mSubEvents.elements();
+        Enumeration<StatsEvent> e = mSubEvents.elements();
         while (e.hasMoreElements()) {
-            StatsEvent st = (StatsEvent) e.nextElement();
+            StatsEvent st = e.nextElement();
             if (st.getName().equals(name)) {
                 return st;
             }
@@ -89,9 +89,9 @@ public class StatsEvent {
         mNoOfOperations = 0;
         mTimeTaken = 0;
         mTimeTakenSqSum = 0;
-        Enumeration e = getSubEventNames();
+        Enumeration<String> e = getSubEventNames();
         while (e.hasMoreElements()) {
-            String n = (String) e.nextElement();
+            String n = e.nextElement();
             StatsEvent c = getSubEvent(n);
             c.resetCounters();
         }
diff --git a/pki/base/common/src/com/netscape/cms/authentication/CMCAuth.java b/pki/base/common/src/com/netscape/cms/authentication/CMCAuth.java
index 3098e00160a0a7f9e82d85f48d4bcb888176c6a8..cf57098b651f8964e1ae9dd00bec682b1e23cf41 100644
--- a/pki/base/common/src/com/netscape/cms/authentication/CMCAuth.java
+++ b/pki/base/common/src/com/netscape/cms/authentication/CMCAuth.java
@@ -946,8 +946,8 @@ public class CMCAuth implements IAuthManager, IExtendedPluginInfo,
     /**
      * Retrieves a list of names of the value parameter.
      */
-    public Enumeration getValueNames() {
-        Vector v = new Vector();
+    public Enumeration<String> getValueNames() {
+        Vector<String> v = new Vector<String>();
         v.addElement("cert_request");
         return v.elements();
     }
diff --git a/pki/base/common/src/com/netscape/cms/authentication/FlatFileAuth.java b/pki/base/common/src/com/netscape/cms/authentication/FlatFileAuth.java
index 37e076d4a904d5c3fd2c61996f5179ed046a8d86..f60110b0ba993de7d08d259f3ee5236b2cb67c6b 100644
--- a/pki/base/common/src/com/netscape/cms/authentication/FlatFileAuth.java
+++ b/pki/base/common/src/com/netscape/cms/authentication/FlatFileAuth.java
@@ -121,7 +121,7 @@ public class FlatFileAuth
      * Hashtable of entries from Auth File. Hash index is the
      * concatenation of the attributes from matchAttributes property
      */
-    protected Hashtable entries = null;
+    protected Hashtable<String, Hashtable<String, String>> entries = null;
 
     /**
      * Get the named property
@@ -241,7 +241,7 @@ public class FlatFileAuth
      */
 
     public String[] unionOfStrings(String[][] stringArrays) {
-        Hashtable ht = new Hashtable();
+        Hashtable<String, String> ht = new Hashtable<String, String>();
 
         for (int i = 0; i < stringArrays.length; i++) {
             String[] sa = stringArrays[i];
@@ -253,10 +253,10 @@ public class FlatFileAuth
         }
 
         String[] s = new String[ht.size()];
-        Enumeration e = ht.keys();
+        Enumeration<String> e = ht.keys();
 
         for (int i = 0; e.hasMoreElements(); i++) {
-            s[i] = (String) e.nextElement();
+            s[i] = e.nextElement();
         }
         return s;
 
@@ -412,7 +412,7 @@ public class FlatFileAuth
      *            key
      * @return a hashtable of hashtables.
      */
-    protected Hashtable readFile(File f, String[] keys)
+    protected Hashtable<String, Hashtable<String, String>> readFile(File f, String[] keys)
             throws IOException {
         log(ILogger.LL_INFO, "Reading file: " + f.getName());
         BufferedReader file = new BufferedReader(
@@ -420,8 +420,8 @@ public class FlatFileAuth
                 );
 
         String line;
-        Hashtable allusers = new Hashtable();
-        Hashtable entry = null;
+        Hashtable<String, Hashtable<String, String>> allusers = new Hashtable<String, Hashtable<String, String>>();
+        Hashtable<String, String> entry = null;
         int linenum = 0;
 
         while ((line = file.readLine()) != null) {
@@ -433,7 +433,7 @@ public class FlatFileAuth
             int colon = line.indexOf(':');
 
             if (entry == null) {
-                entry = new Hashtable();
+                entry = new Hashtable<String, String>();
             }
 
             if (colon == -1) { // no colon -> empty line signifies end of record
@@ -464,8 +464,8 @@ public class FlatFileAuth
         return allusers;
     }
 
-    private void putEntry(Hashtable allUsers,
-            Hashtable entry,
+    private void putEntry(Hashtable<String, Hashtable<String, String>> allUsers,
+            Hashtable<String, String> entry,
             String[] keys) {
         if (entry == null) {
             return;
@@ -474,7 +474,7 @@ public class FlatFileAuth
 
         print("keys.length = " + keys.length);
         for (int i = 0; i < keys.length; i++) {
-            String s = (String) entry.get(keys[i]);
+            String s = entry.get(keys[i]);
 
             print(" concatenating: " + s);
             if (s != null) {
@@ -486,17 +486,17 @@ public class FlatFileAuth
     }
 
     void printAllEntries() {
-        Enumeration e = entries.keys();
+        Enumeration<String> e = entries.keys();
 
         while (e.hasMoreElements()) {
-            String key = (String) e.nextElement();
+            String key = e.nextElement();
 
             print("* " + key + " *");
-            Hashtable ht = (Hashtable) entries.get(key);
-            Enumeration f = ht.keys();
+            Hashtable<String, String> ht = entries.get(key);
+            Enumeration<String> f = ht.keys();
 
             while (f.hasMoreElements()) {
-                String fkey = (String) f.nextElement();
+                String fkey = f.nextElement();
 
                 print("   " + fkey + " -> " + ht.get(fkey));
             }
@@ -509,7 +509,7 @@ public class FlatFileAuth
      * 
      */
 
-    private IAuthToken doAuthentication(Hashtable user, IAuthCredentials authCred)
+    private IAuthToken doAuthentication(Hashtable<String, String> user, IAuthCredentials authCred)
             throws EMissingCredential, EInvalidCredentials, EBaseException {
         AuthToken authToken = new AuthToken(this);
 
@@ -567,7 +567,7 @@ public class FlatFileAuth
         }
         print("authenticating user: finding user from key: " + keyForUser);
 
-        Hashtable user = (Hashtable) entries.get(keyForUser);
+        Hashtable<String, String> user = entries.get(keyForUser);
 
         try {
             if (user != null) {
@@ -660,7 +660,7 @@ public class FlatFileAuth
     /**
      * Retrieves a list of names of the value parameter.
      */
-    public Enumeration getValueNames() {
+    public Enumeration<String> getValueNames() {
         return null;
     }
 
diff --git a/pki/base/common/src/com/netscape/cms/authentication/HashAuthData.java b/pki/base/common/src/com/netscape/cms/authentication/HashAuthData.java
index a2d3bc728329023114e8178dcdcf62850646bddd..3a447d28243808a191e2bfa2e257643cbfda5730 100644
--- a/pki/base/common/src/com/netscape/cms/authentication/HashAuthData.java
+++ b/pki/base/common/src/com/netscape/cms/authentication/HashAuthData.java
@@ -29,7 +29,7 @@ import java.util.Vector;
  * 
  * @version $Revision$, $Date$
  */
-public class HashAuthData extends Hashtable {
+public class HashAuthData extends Hashtable<String, Vector<Object>> {
 
     /**
      *
@@ -42,7 +42,7 @@ public class HashAuthData extends Hashtable {
     }
 
     public String getAgentName(String hostname) {
-        Vector val = (Vector) get(hostname);
+        Vector<Object> val = get(hostname);
 
         if (val != null)
             return (String) val.elementAt(0);
@@ -50,17 +50,17 @@ public class HashAuthData extends Hashtable {
     }
 
     public void setAgentName(String hostname, String agentName) {
-        Vector val = (Vector) get(hostname);
+        Vector<Object> val = get(hostname);
 
         if (val == null) {
-            val = new Vector();
+            val = new Vector<Object>();
             put(hostname, val);
         }
         val.setElementAt(agentName, 0);
     }
 
     public long getTimeout(String hostname) {
-        Vector val = (Vector) get(hostname);
+        Vector<Object> val = get(hostname);
 
         if (val != null) {
             return ((Long) val.elementAt(1)).longValue();
@@ -69,17 +69,17 @@ public class HashAuthData extends Hashtable {
     }
 
     public void setTimeout(String hostname, long timeout) {
-        Vector val = (Vector) get(hostname);
+        Vector<Object> val = get(hostname);
 
         if (val == null) {
-            val = new Vector();
+            val = new Vector<Object>();
             put(hostname, val);
         }
         val.setElementAt(Long.valueOf(timeout), 1);
     }
 
     public String getSecret(String hostname) {
-        Vector val = (Vector) get(hostname);
+        Vector<Object> val = get(hostname);
 
         if (val != null) {
             return (String) val.elementAt(2);
@@ -88,17 +88,17 @@ public class HashAuthData extends Hashtable {
     }
 
     public void setSecret(String hostname, String secret) {
-        Vector val = (Vector) get(hostname);
+        Vector<Object> val = get(hostname);
 
         if (val == null) {
-            val = new Vector();
+            val = new Vector<Object>();
             put(hostname, val);
         }
         val.setElementAt(secret, 2);
     }
 
     public long getLastLogin(String hostname) {
-        Vector val = (Vector) get(hostname);
+        Vector<Object> val = get(hostname);
 
         if (val != null) {
             return ((Long) val.elementAt(3)).longValue();
@@ -107,10 +107,10 @@ public class HashAuthData extends Hashtable {
     }
 
     public void setLastLogin(String hostname, long lastLogin) {
-        Vector val = (Vector) get(hostname);
+        Vector<Object> val = get(hostname);
 
         if (val == null) {
-            val = new Vector();
+            val = new Vector<Object>();
             put(hostname, val);
         }
         val.setElementAt(Long.valueOf(lastLogin), 3);
diff --git a/pki/base/common/src/com/netscape/cms/authentication/HashAuthentication.java b/pki/base/common/src/com/netscape/cms/authentication/HashAuthentication.java
index a0199a9be2059e9b1a220cdf874aab50a1db693b..4aae1f15954f31f7759a36e2b9734d872e7c5fe8 100644
--- a/pki/base/common/src/com/netscape/cms/authentication/HashAuthentication.java
+++ b/pki/base/common/src/com/netscape/cms/authentication/HashAuthentication.java
@@ -123,7 +123,7 @@ public class HashAuthentication implements IAuthManager, IExtendedPluginInfo {
 
     public void createEntry(String host, String dn, long timeout,
             String secret, long lastLogin) {
-        Vector v = new Vector();
+        Vector<Object> v = new Vector<Object>();
 
         v.addElement(dn);
         v.addElement(Long.valueOf(timeout));
@@ -193,7 +193,7 @@ public class HashAuthentication implements IAuthManager, IExtendedPluginInfo {
         return false;
     }
 
-    public Enumeration getHosts() {
+    public Enumeration<String> getHosts() {
         return mHosts.keys();
     }
 
diff --git a/pki/base/common/src/com/netscape/cms/authentication/PortalEnroll.java b/pki/base/common/src/com/netscape/cms/authentication/PortalEnroll.java
index e2c3ec8717adb85449518941b7d883fb80d75315..8049ffb11891c7103deef11edfeca46f81e44cd1 100644
--- a/pki/base/common/src/com/netscape/cms/authentication/PortalEnroll.java
+++ b/pki/base/common/src/com/netscape/cms/authentication/PortalEnroll.java
@@ -355,14 +355,14 @@ public class PortalEnroll extends DirBasedAuthentication {
             attr.addValue((String) objectclass_values.elementAt(i));
         attrs.add(attr);
 
-        Enumeration objClasses = mRequiredAttrs.elements();
-        Enumeration attrnames = null;
+        Enumeration<Enumeration<String>> objClasses = mRequiredAttrs.elements();
+        Enumeration<String> attrnames = null;
 
         while (objClasses.hasMoreElements()) {
-            attrnames = (Enumeration) objClasses.nextElement();
+            attrnames = objClasses.nextElement();
             CMS.debug("PortalEnroll: Required attrs:");
             while (attrnames.hasMoreElements()) {
-                String attrname = (String) attrnames.nextElement();
+                String attrname = attrnames.nextElement();
                 String attrval = null;
 
                 CMS.debug("PortalEnroll: attrname is: " + attrname);
@@ -385,10 +385,10 @@ public class PortalEnroll extends DirBasedAuthentication {
         attrnames = null;
 
         while (objClasses.hasMoreElements()) {
-            attrnames = (Enumeration) objClasses.nextElement();
+            attrnames = objClasses.nextElement();
             CMS.debug("PortalEnroll: Optional attrs:");
             while (attrnames.hasMoreElements()) {
-                String attrname = (String) attrnames.nextElement();
+                String attrname = attrnames.nextElement();
                 String attrval = null;
 
                 CMS.debug("PortalEnroll: attrname is: " + attrname);
diff --git a/pki/base/common/src/com/netscape/cms/jobs/PublishCertsJob.java b/pki/base/common/src/com/netscape/cms/jobs/PublishCertsJob.java
index 29c5f21a5abf2b6e5ade39653d6769d892062b07..efca7416847617b56f3a0727e39f7c1b9d608c6b 100644
--- a/pki/base/common/src/com/netscape/cms/jobs/PublishCertsJob.java
+++ b/pki/base/common/src/com/netscape/cms/jobs/PublishCertsJob.java
@@ -185,7 +185,7 @@ public class PublishCertsJob extends AJobBase
                 "(!(certMetainfo=" + ICertRecord.META_LDAPPUBLISH +
                         ":true))";
 
-        Enumeration unpublishedCerts = null;
+        Enumeration<Object> unpublishedCerts = null;
 
         try {
             unpublishedCerts = mRepository.findCertRecs(filter);
diff --git a/pki/base/common/src/com/netscape/cms/jobs/RenewalNotificationJob.java b/pki/base/common/src/com/netscape/cms/jobs/RenewalNotificationJob.java
index 2a3fffed31d21b5cbab7be4f264b694dc8764ef1..0c6178e99afa22390efd465bb17973c09c7e8afc 100644
--- a/pki/base/common/src/com/netscape/cms/jobs/RenewalNotificationJob.java
+++ b/pki/base/common/src/com/netscape/cms/jobs/RenewalNotificationJob.java
@@ -423,10 +423,10 @@ public class RenewalNotificationJob
                 //CertRecordList list = mCertDB.findCertRecordsInList(filter, null, "serialno", 5);
                 //list.processCertRecords(0, list.getSize() - 1, cp);
 
-                Enumeration en = mCertDB.findCertRecs(filter);
+                Enumeration<Object> en = mCertDB.findCertRecs(filter);
 
                 while (en.hasMoreElements()) {
-                    Object element = (Object) en.nextElement();
+                    Object element = en.nextElement();
 
                     try {
                         cp.process(element);
diff --git a/pki/base/common/src/com/netscape/cms/jobs/UnpublishExpiredJob.java b/pki/base/common/src/com/netscape/cms/jobs/UnpublishExpiredJob.java
index 6aea0c514e7c6ba7432924dbd48a0b498e08b3ac..c61d953ebab380263a19c43b87e950ef5fd74524 100644
--- a/pki/base/common/src/com/netscape/cms/jobs/UnpublishExpiredJob.java
+++ b/pki/base/common/src/com/netscape/cms/jobs/UnpublishExpiredJob.java
@@ -189,7 +189,7 @@ public class UnpublishExpiredJob extends AJobBase
         // a test for without CertRecord.META_LDAPPUBLISH
         //String filter = "(x509Cert.notAfter<="+ now +")";
 
-        Enumeration expired = null;
+        Enumeration<Object> expired = null;
 
         try {
             expired = mRepository.findCertRecs(filter);
